LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XToolbarController Interface Reference

is an abstract service for a component which offers a more complex user interface to users within a toolbar. More...

`import"XToolbarController.idl";`

Inheritance diagram for XToolbarController:

## Public Member Functions
void | execute ([in] short KeyModifier)
| provides a function to execute the command which is bound to the toolbar controller. More...
void | click ()
| notifies a component that a single click has been made on the toolbar item. More...
void | doubleClick ()
| notifies a component that a double click has been made on the toolbar item. More...
com::sun::star::awt::XWindow | createPopupWindow ()
| requests to create a pop-up window for additional functions. More...
com::sun::star::awt::XWindow | createItemWindow ([in] com::sun::star::awt::XWindow Parent)
| requests to create an item window which can be added to the toolbar. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is an abstract service for a component which offers a more complex user interface to users within a toolbar.

A generic toolbar function is represented as a button which has a state (enabled,disabled and selected, not selected). A toolbar controller can be added to a toolbar and provide information or functions with a more sophisticated user interface.
A typical example for toolbar controller is a font chooser on a toolbar. It provides all available fonts in a dropdown box and shows the current chosen font.

See also
  com::sun::star::frame::XDispatchProvider

Since
  OOo 2.0

## Member Function Documentation

## ◆ click()

void click | ( |  | ) |

notifies a component that a single click has been made on the toolbar item.

## ◆ createItemWindow()

com::sun::star::awt::XWindow createItemWindow | ( | [in] com::sun::star::awt::XWindow | Parent | ) |

requests to create an item window which can be added to the toolbar.

Parameters

  Parent | a com::sun::star::awt::XWindow which must be used as a parent for the requested item window.

Returns
  a com::sun::star::awt::XWindow which can be added to a toolbar. The reference must be empty if a component does not want to provide an item window.

## ◆ createPopupWindow()

com::sun::star::awt::XWindow createPopupWindow | ( |  | ) |

requests to create a pop-up window for additional functions.

Returns
  a com::sun::star::awt::XWindow which provides additional functions to the user. The reference must be empty if component does not want to provide a separate window.

## ◆ doubleClick()

void doubleClick | ( |  | ) |

notifies a component that a double click has been made on the toolbar item.

## ◆ execute()

void execute | ( | [in] short | KeyModifier | ) |

provides a function to execute the command which is bound to the toolbar controller.

Parameters

  KeyModifier | a combination of com::sun::star::awt::KeyModifier value that represent the current state of the modifier keys.

This function is usually called by a toolbar implementation when a user clicked on a toolbar button or pressed enter on the keyboard when the item has the input focus.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XToolbarController.idl